Firefox crashes on launch after update to Mac OS X 10.12.5

RESOLVED WORKSFORME

Status

()

P3
critical
RESOLVED WORKSFORME
a year ago
a year ago

People

(Reporter: herb.woodruff, Unassigned)

Tracking

({crash})

53 Branch
x86
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(firefox53 wontfix, firefox54- wontfix, firefox55+ wontfix)

Details

(Whiteboard: [tpi:+][AV:Symantec])

Attachments

(4 attachments)

(Reporter)

Description

a year ago
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.81 Safari/537.36 OPR/45.0.2552.812

Steps to reproduce:

OSX prompted me to install 10.12.5 security update, after which it completed, I am no longer able to successfully launch Firefox


Actual results:

Process:               firefox [12764]
Path:                  /Applications/Firefox.app/Contents/MacOS/firefox
Identifier:            org.mozilla.firefox
Version:               53.0.2 (5317.5.4)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           firefox [12764]
User ID:               110101319

Date/Time:             2017-05-19 08:02:34.009 -0700
OS Version:            Mac OS X 10.12.5 (16F73)
Report Version:        12
Anonymous UUID:        103C8D66-F036-5D15-5A84-F27325F9D6E1

Sleep/Wake UUID:       6CF924A5-DC82-4169-A467-241EB7DC4D55

Time Awake Since Boot: 20000 seconds
Time Since Wake:       8400 seconds

System Integrity Protection: enabled

Crashed Thread:        1

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000104a8d070
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

External Modification Warnings:
Thread creation by external task.

VM Regions Near 0x104a8d070:
--> 
    __TEXT                 000000010c456000-000000010c458000 [    8K] r-x/rwx SM=COW  /Applications/Firefox.app/Contents/MacOS/firefox

Application Specific Information:
dyld: launch, loading dependent libraries
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList

Thread 0:
0   dyld                          	0x0000000115bec163 ImageLoaderMachO::libPath(unsigned int) const + 39
1   dyld                          	0x0000000115bebd46 ImageLoaderMachO::findExportedSymbol(char const*, bool, char const*, ImageLoader const**) const + 124
2   dyld                          	0x0000000115be6898 ImageLoader::findExportedSymbolAddress(ImageLoader::LinkContext const&, char const*, ImageLoader const*, int, bool, ImageLoader const**, unsigned long*) const + 50
3   dyld                          	0x0000000115bf22f2 ImageLoaderMachOCompressed::resolveTwolevel(ImageLoader::LinkContext const&, char const*, ImageLoader const*, ImageLoader const*, unsigned int, bool, bool, ImageLoader const**) + 98
4   dyld                          	0x0000000115bf2551 ImageLoaderMachOCompressed::resolve(ImageLoader::LinkContext const&, char const*, unsigned char, long, ImageLoader const**, ImageLoaderMachOCompressed::LastLookup*, bool) + 273
5   dyld                          	0x0000000115bf2636 ImageLoaderMachOCompressed::bindAt(ImageLoader::LinkContext const&, unsigned long, unsigned char, char const*, unsigned char, long, long, char const*, ImageLoaderMachOCompressed::LastLookup*, bool) + 70
6   dyld                          	0x0000000115bf3791 ImageLoaderMachOCompressed::eachLazyBind(ImageLoader::LinkContext const&, unsigned long (ImageLoaderMachOCompressed::*)(ImageLoader::LinkContext const&, unsigned long, unsigned char, char const*, unsigned char, long, long, char const*, ImageLoaderMachOCompressed::LastLookup*, bool)) + 513
7   dyld                          	0x0000000115bf2702 ImageLoaderMachOCompressed::doBind(ImageLoader::LinkContext const&, bool) + 114
8   dyld                          	0x0000000115be8122 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 176
9   dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
10  dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
11  dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
12  dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
13  dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
14  dyld                          	0x0000000115be80f7 ImageLoader::recursiveBind(ImageLoader::LinkContext const&, bool, bool) + 133
15  dyld                          	0x0000000115be6dc4 ImageLoader::link(ImageLoader::LinkContext const&, bool, bool, bool, ImageLoader::RPathChain const&, char const*) + 216
16  dyld                          	0x0000000115bdc32a dyld::link(ImageLoader*, bool, bool, ImageLoader::RPathChain const&, unsigned int) + 157
17  dyld                          	0x0000000115bdd668 dyld::_main(macho_header const*, unsigned long, int, char const**, char const**, char const**, unsigned long*) + 3360
18  dyld                          	0x0000000115bd8249 dyldbootstrap::start(macho_header const*, int, char const**, long, macho_header const*, unsigned long*) + 470
19  dyld                          	0x0000000115bd8036 _dyld_start + 54

Thread 1 Crashed:
0   ???                           	0x000000010c45db2e 0 + 4500871982

Thread 1 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000000  rcx: 0x000000010c491000  rdx: 0x0000000000000829
  rdi: 0x0000000000000000  rsi: 0x000000010c486000  rbp: 0x000000010c492ff4  rsp: 0x000000010c492f74
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x000000010c486000  r15: 0x0000000104a8d070
  rip: 0x000000010c45db2e  rfl: 0x0000000000010206  cr2: 0x0000000104a8d070
  
Logical CPU:     2
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x10c456000 -        0x10c457ff7 +org.mozilla.firefox (53.0.2 - 5317.5.4) <89C9648B-0890-34C2-8BDE-89099D9CFE5B> /Applications/Firefox.app/Contents/MacOS/firefox
       0x10c462000 -        0x10c47dfff +libmozglue.dylib (1) <84B0283B-44DF-387E-BD33-E0DCC2BAD78E> /Applications/Firefox.app/Contents/MacOS/libmozglue.dylib
       0x10c48a000 -        0x10c48bffb  libSystem.B.dylib (1238.60.2) <FC9E9F13-3B18-305C-BE0A-97C7843652B0> /usr/lib/libSystem.B.dylib
       0x10c496000 -        0x10c52cff7  com.apple.framework.IOKit (2.0.2 - 1324.60.3) <7CE4C98B-107C-3AAA-B49A-F2ACFCBBF526> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
       0x10c573000 -        0x10c94dfff  com.apple.CFNetwork (811.5.4 - 811.5.4) <4DBF8932-6286-3B23-87D9-63615B9958D9> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
       0x10cc73000 -        0x10cca4fff  libdispatch.dylib (703.50.37) <6582BAD6-ED27-3B30-B620-90B1C5A4AE3C> /usr/lib/system/libdispatch.dylib
       0x10cce2000 -        0x10cce7ffb  libdyld.dylib (433.5) <EC3D88D2-3D40-3274-8E26-362C2D7352C8> /usr/lib/system/libdyld.dylib
       0x10ccf5000 -        0x10ccf5fff  liblaunch.dylib (972.60.2) <D3306CFF-58AA-3C90-B06C-B70E80E60C5B> /usr/lib/system/liblaunch.dylib
       0x10ccfe000 -        0x10cd03ff3  libmacho.dylib (898) <17D5D855-F6C3-3B04-B680-E9BF02EF8AED> /usr/lib/system/libmacho.dylib
       0x10cd11000 -        0x10cd13ff3  libquarantine.dylib (85.50.1) <12448CC2-378E-35F3-BE33-9DC395A5B970> /usr/lib/system/libquarantine.dylib
       0x10cd1a000 -        0x10cda7fef  libsystem_c.dylib (1158.50.2) <E5AE5244-7D0C-36AC-8BB6-C7AE7EA52A4B> /usr/lib/system/libsystem_c.dylib
       0x10cdd4000 -        0x10cdd7ffb  libsystem_configuration.dylib (888.60.2) <BECC01A2-CA8D-31E6-BCDF-D452965FA976> /usr/lib/system/libsystem_configuration.dylib
       0x10cde2000 -        0x10cde5fff  libsystem_coreservices.dylib (41.4) <7D26DE79-B424-3450-85E1-F7FAB32714AB> /usr/lib/system/libsystem_coreservices.dylib
       0x10cdf0000 -        0x10cdf6fff  libsystem_dnssd.dylib (765.50.9) <CC960215-0B1B-3822-A13A-3DDE96FA796F> /usr/lib/system/libsystem_dnssd.dylib
       0x10ce02000 -        0x10ce2bff7  libsystem_info.dylib (503.50.4) <611DB84C-BF70-3F92-8702-B9F28A900920> /usr/lib/system/libsystem_info.dylib
       0x10ce47000 -        0x10ce69ff7  libsystem_kernel.dylib (3789.60.24) <6E9E485F-91F6-36B7-A125-AE91DC978BCC> /usr/lib/system/libsystem_kernel.dylib
       0x10ce85000 -        0x10ceccfe7  libsystem_m.dylib (3121.6) <86D499B5-BBDC-3D3B-8A4E-97AE8E6672A4> /usr/lib/system/libsystem_m.dylib
       0x10cede000 -        0x10cefcff7  libsystem_malloc.dylib (116.50.8) <A3D15F17-99A6-3367-8C7E-4280E8619C95> /usr/lib/system/libsystem_malloc.dylib
       0x10cf0d000 -        0x10cf66ffb  libsystem_network.dylib (856.60.1) <369D0221-56CA-3C3E-9EDE-94B41CAE77B7> /usr/lib/system/libsystem_network.dylib
       0x10cf8e000 -        0x10cf97ff3  libsystem_networkextension.dylib (563.60.2) <B021F2B3-8A75-3633-ABB0-FC012B8E9B0C> /usr/lib/system/libsystem_networkextension.dylib
       0x10cfa7000 -        0x10cfaffe7  libsystem_platform.dylib (126.50.8) <897462FD-B318-321B-A554-E61982630F7E> /usr/lib/system/libsystem_platform.dylib
       0x10cfb9000 -        0x10cfc3ff7  libsystem_pthread.dylib (218.60.3) <B8FB5E20-3295-39E2-B5EB-B464D1D4B104> /usr/lib/system/libsystem_pthread.dylib
       0x10cfd3000 -        0x10cfd6ff7  libsystem_sandbox.dylib (592.60.1) <DC780631-BD23-36B1-9376-668619E18D25> /usr/lib/system/libsystem_sandbox.dylib
       0x10cfe4000 -        0x10cfe5ff3  libsystem_secinit.dylib (24.50.4) <F78B847B-3565-3E4B-98A6-F7AD40392E2D> /usr/lib/system/libsystem_secinit.dylib
       0x10cfeb000 -        0x10cff2ffb  libsystem_symptoms.dylib (532.50.47) <3390E07C-C1CE-348F-ADBD-2C5440B45EAA> /usr/lib/system/libsystem_symptoms.dylib
       0x10cffc000 -        0x10d00fff7  libsystem_trace.dylib (518.60.2) <6B145B10-5874-3E89-90CD-D370DB475BA1> /usr/lib/system/libsystem_trace.dylib
       0x10d01f000 -        0x10d048ff7  libxpc.dylib (972.60.2) <1C9AF716-69DF-359F-85E9-7DFDE362F9A2> /usr/lib/system/libxpc.dylib
       0x10d068000 -        0x10d074ffb  libkxld.dylib (3789.60.24) <5DFCDC05-6CBC-35A6-8B92-DF6803492E12> /usr/lib/system/libkxld.dylib
       0x10d080000 -        0x10d1cdff7  libsqlite3.dylib (254.7) <07CD6DE3-394D-3C6A-A4B4-4CAB1054A041> /usr/lib/libsqlite3.dylib
       0x10d1f3000 -        0x10d26dff3  libnetwork.dylib (856.60.1) <191E99F5-4723-3180-8013-02AF2F9AE4B8> /usr/lib/libnetwork.dylib
       0x10d2aa000 -        0x10d2adff3  com.apple.xpc.ServiceManagement (1.0 - 1) <9F285B19-B53B-3502-85A2-72C26DB40EA7> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
       0x10d2bc000 -        0x10d368ff7  com.apple.CoreDisplay (1.0 - 1) <AAD5DF0B-0D22-305E-86FF-BB1431130363> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
       0x115bd7000 -        0x115c14dc7  dyld (433.5) <322C06B7-8878-311D-888C-C8FD2CA96FF3> /usr/lib/dyld
    0x7fff7d18a000 -     0x7fff7d18afff  com.apple.Accelerate (1.11 - Accelerate 1.11) <916E360F-323C-3AE1-AB3D-D1F3B284AEE9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff7d1a3000 -     0x7fff7d6bcfeb  com.apple.vImage (8.1 - ???) <B58A7937-BEE2-38FE-87F4-5D5F40D31DC9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff7d6bd000 -     0x7fff7d82eff3  libBLAS.dylib (1185.50.4) <4087FFE0-627E-3623-96B4-F0A9A1991E09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff7d82f000 -     0x7fff7d843ffb  libBNNS.dylib (15) <254698C7-7D36-3FFF-864E-ADEEEE543076> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff7d844000 -     0x7fff7dc3afef  libLAPACK.dylib (1185.50.4) <C35FFB2F-A0E6-3903-8A3C-113A74BCBCA2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff7dc3b000 -     0x7fff7dc51fff  libLinearAlgebra.dylib (1185.50.4) <345CAACF-7263-36EF-B69B-793EA8B390AF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff7dc52000 -     0x7fff7dc58fff  libQuadrature.dylib (3) <EF56C8E6-DE22-3C69-B543-A8648F335FDD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff7dc59000 -     0x7fff7dc6dff7  libSparseBLAS.dylib (1185.50.4) <67BA432E-FB59-3C78-A8BE-ED4274CBC359> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff7dc6e000 -     0x7fff7ddf5fe7  libvDSP.dylib (600.60.1) <4155F45B-41CD-3782-AE8F-7AE740FD83C3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff7ddf6000 -     0x7fff7dea8fff  libvMisc.dylib (600.60.1) <98F27D2D-E5DD-38EF-8747-0C4DE821A23D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff7dea9000 -     0x7fff7dea9fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <7C5733E7-0568-3E7D-AF61-160F19FED544> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff7e168000 -     0x7fff7ef41ff3  com.apple.AppKit (6.9 - 1504.83.101) <EC7BD195-F9E1-3E43-820A-5FDD0B2B0B67> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff7ef53000 -     0x7fff7ef53fff  com.apple.ApplicationServices (48 - 48) <4C71CBA8-47E4-38BF-BE3B-F20DF8667D5D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff7ef54000 -     0x7fff7efc2ff7  com.apple.ApplicationServices.ATS (377 - 422.2) <A31D17BE-F747-39FB-9A84-5F2F8891204C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff7f05c000 -     0x7fff7f18bff7  libFontParser.dylib (194.12) <73C3946D-EF92-3AC1-89C3-0E75B2A85325> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff7f18c000 -     0x7fff7f1d6fff  libFontRegistry.dylib (196.4) <EA96AE47-3369-3DEA-BB82-98348ADBD85B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff7f2d3000 -     0x7fff7f37dff7  com.apple.ColorSync (4.12.0 - 502.2) <ACA4001E-A0E3-33F6-9CD6-EEC2AA15E322> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff7f37e000 -     0x7fff7f3cffff  com.apple.HIServices (1.22 - 592.1) <7353E76E-9A3A-3693-87AF-41953585E024> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff7f3d0000 -     0x7fff7f3dfff3  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2CBE7F61-2056-3F96-99A1-0D527796AFA6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff7f3e0000 -     0x7fff7f42dfff  com.apple.print.framework.PrintCore (12 - 491) <5027FD58-F0EE-33E4-8577-934CA06CD2AF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff7f42e000 -     0x7fff7f469fff  com.apple.QD (3.12 - 313) <B339C41D-8CDF-3342-8414-F9717DCCADD4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff7f46a000 -     0x7fff7f475fff  com.apple.speech.synthesis.framework (6.6.2 - 6.6.2) <7853EFF4-62B9-394E-B7B8-41A645656820> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff7f476000 -     0x7fff7f682fff  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <91D2BA22-B168-3A9A-9008-6FFC5A8FDC1E> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff7f683000 -     0x7fff7f683fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <8C0153FD-FEFF-309C-AACD-BF9657A31F8E> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff7fbe5000 -     0x7fff7feeefff  com.apple.HIToolbox (2.1.1 - 857.8) <CAB143FE-AEAF-3EDE-AD7B-C04E1B7C5615> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff7fef9000 -     0x7fff7ff90ff3  com.apple.ink.framework (10.9 - 219) <1BD40B45-FD33-3177-A935-565EE5FC79D7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff7ffb1000 -     0x7fff7ffb7ff7  com.apple.speech.recognition.framework (6.0.1 - 6.0.1) <082895DC-3AC7-3DEF-ADCA-5B018C19C9D3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff80098000 -     0x7fff80098fff  com.apple.Cocoa (6.11 - 22) <85EDFBE1-75F0-369E-8CA8-C6A639B98FA6> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff801e2000 -     0x7fff8026ffff  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <78767F88-91D4-31CE-AAC6-1F9407F479BB> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff80270000 -     0x7fff80283fff  com.apple.CoreBluetooth (1.0 - 1) <BCB78777-76F0-3CC1-8443-9E61AEF7EF63> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff80284000 -     0x7fff8057ffff  com.apple.CoreData (120 - 754.2) <4C9CAB2C-60D4-3694-A0A0-5B04B14BD14E> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8062d000 -     0x7fff80ac6ff7  com.apple.CoreFoundation (6.9 - 1349.8) <09ED473E-5DE8-307F-B55C-16F6419236D5> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff80ac7000 -     0x7fff81149fff  com.apple.CoreGraphics (2.0 - 1070.22) <78E7C882-837D-3CC3-B221-767B999873CE> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8114a000 -     0x7fff8138dffb  com.apple.CoreImage (12.4.0 - 451.4.9) <BE4303C9-C9D9-361D-AC94-DBE40EB6700E> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff814f2000 -     0x7fff814f2fff  com.apple.CoreServices (775.19 - 775.19) <7255917D-EFBB-3BE2-A8FD-DAD631BC0949> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff814f3000 -     0x7fff81544fff  com.apple.AE (712.5 - 712.5) <61F2AE2C-E04E-3FDF-9E88-201325136C83> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff81545000 -     0x7fff81820ff7  com.apple.CoreServices.CarbonCore (1159.6 - 1159.6) <08AC074C-965B-3EDF-8E45-0707C8DE9EAD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff81821000 -     0x7fff81854fff  com.apple.DictionaryServices (1.2 - 274) <D23866E2-F7C8-3984-A9D4-96552CCDE573> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff81855000 -     0x7fff8185dff3  com.apple.CoreServices.FSEvents (1230.50.1 - 1230.50.1) <2AD1B0E5-7214-37C4-8D11-A27C9CAC0F74> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff8185e000 -     0x7fff819caff7  com.apple.LaunchServices (775.19 - 775.19) <94D15A2A-852C-3B4B-A701-43043C8F1527> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff819cb000 -     0x7fff81a7bffb  com.apple.Metadata (10.7.0 - 1075.40) <DA911E1B-3977-386D-930D-96BD5085CB8E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff81a7c000 -     0x7fff81adbfff  com.apple.CoreServices.OSServices (775.19 - 775.19) <C709A773-4FA0-33DD-B3E2-FBA41E00F177> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff81adc000 -     0x7fff81b4cfff  com.apple.SearchKit (1.4.0 - 1.4.0) <7A6DDA2B-03F1-3137-BA9E-1CC211973E26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff81b4d000 -     0x7fff81b92ff7  com.apple.coreservices.SharedFileList (38 - 38) <DA096678-93AB-3291-BDE2-482F1D544589> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff81c1b000 -     0x7fff81d68ffb  com.apple.CoreText (352.0 - 544.15) <BF0EE575-BB7E-3BF9-9029-232B4ADC24E4> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff81d69000 -     0x7fff81d9eff3  com.apple.CoreVideo (1.8 - 235.3) <AC11D5FB-C77B-34F5-B942-F698E84C229F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff81d9f000 -     0x7fff81e10ffb  com.apple.framework.CoreWLAN (11.0 - 1200.31) <E47C0568-E37B-3052-9E77-F0F371DCDE7F> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff81f0e000 -     0x7fff81f13fff  com.apple.DiskArbitration (2.7 - 2.7) <8AC72143-D3C4-3AA6-84DF-734E3AFAC49B> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff820a2000 -     0x7fff820a4ff7  com.apple.ExceptionHandling (1.5 - 12) <23464743-95E9-3EA7-868F-FE6DA0B17449> /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
    0x7fff820a5000 -     0x7fff8244bff3  com.apple.Foundation (6.9 - 1349.81) <730B7944-BB43-35D5-A546-9F6CCED4B9F3> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff82477000 -     0x7fff824a8ff7  com.apple.GSS (4.0 - 2.0) <6FADED0B-0425-3567-A75A-040C5A4638EB> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff82568000 -     0x7fff8260bffb  com.apple.Bluetooth (5.0.4 - 5.0.4f18) <B3FED7E7-45EE-32DD-B59E-7942BCE9426C> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff826a2000 -     0x7fff826a8ffb  com.apple.IOSurface (159.7 - 159.7) <40550017-EF96-3C52-B400-806AFEE4B134> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff826fb000 -     0x7fff8285bfef  com.apple.ImageIO.framework (3.3.0 - 1599.10.2) <87AA4D39-0AFC-3A34-98EF-02710E2BF3CA> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8285c000 -     0x7fff82860fff  libGIF.dylib (1599.10.2) <6ED05614-1301-3452-943B-118F00F20C8D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff82861000 -     0x7fff82951ff7  libJP2.dylib (1599.10.2) <72C00423-55F0-3CAD-B198-EF00950791E6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff82952000 -     0x7fff82975ffb  libJPEG.dylib (1599.10.2) <78945614-990F-3705-A91C-46F717F7C635> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff82976000 -     0x7fff8299dff7  libPng.dylib (1599.10.2) <B800C14F-6E41-36B6-8DC1-1AE97A83A964> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8299e000 -     0x7fff829a0ff3  libRadiance.dylib (1599.10.2) <037D95B4-82A7-3A59-B3EB-0FF0977CF7A5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff829a1000 -     0x7fff829effff  libTIFF.dylib (1599.10.2) <CA2C7BF9-FDDB-36CF-B063-B075B29F8878> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff83756000 -     0x7fff8376fff7  com.apple.Kerberos (3.0 - 1) <B9D242EB-E325-3A21-9812-C77CBBFB0D51> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff83f4e000 -     0x7fff83fa9fff  com.apple.Metal (87.18 - 87.18) <5C2F12FB-45C1-3103-A827-3D225BF8D05A> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff84892000 -     0x7fff8489afff  com.apple.NetFS (6.0 - 4.0) <14A24D00-5673-330A-959D-87F72040DEFF> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff84a7a000 -     0x7fff84ac8ff3  com.apple.opencl (2.8.6 - 2.8.6) <5FAF6F49-2648-39E6-922B-5630A5D7F7E4> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff84ac9000 -     0x7fff84ae2ffb  com.apple.CFOpenDirectory (10.12 - 194) <A64E9A01-3F6E-36EA-9C10-88C564A68C9D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff84ae3000 -     0x7fff84aeeff7  com.apple.OpenDirectory (10.12 - 194) <4298FFD0-B1A7-3064-AF5B-708B3FA38671> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff84aef000 -     0x7fff84af1fff  libCVMSPluginSupport.dylib (14.0.16) <A20EC348-37C9-33B6-9A81-06006F3214A1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff84af2000 -     0x7fff84af5ff7  libCoreFSCache.dylib (156.3) <687C4CC3-6537-344B-8BE1-5234C8CB2864> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff84af6000 -     0x7fff84afafff  libCoreVMClient.dylib (156.3) <E7AEFCBE-B6BF-3C7C-9A4E-E78CB04DB794> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff84afb000 -     0x7fff84b04ff7  libGFXShared.dylib (14.0.16) <63542E68-EB1A-3ECF-AAFB-E7B8AB313C70> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff84b05000 -     0x7fff84b10fff  libGL.dylib (14.0.16) <84BEED97-0A93-356D-A922-97EA311EA446> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff84b11000 -     0x7fff84b4dff7  libGLImage.dylib (14.0.16) <3518A85C-6905-3511-A6C9-2F82C519D28F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff84cc5000 -     0x7fff84d06ff7  libGLU.dylib (14.0.16) <9860DCF7-56E0-3A8F-A377-52635C9D8B27> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8566e000 -     0x7fff8567cfff  com.apple.opengl (14.0.16 - 14.0.16) <27E7D76E-A26B-39F8-8CF2-AB57920776A3> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff861ce000 -     0x7fff863cefff  com.apple.QuartzCore (1.11 - 453.39.3) <AB46D60D-17A8-3122-800E-2A9DA604FCBA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff86935000 -     0x7fff86c37ff7  com.apple.security (7.0 - 57740.60.18) <021AACF6-D15F-37E0-840B-88853684BA00> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff86c38000 -     0x7fff86cadfff  com.apple.securityfoundation (6.0 - 55132.50.7) <4433C0CC-FE90-3DD3-BAC1-CC31D515B510> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff87062000 -     0x7fff870d1ff7  com.apple.SystemConfiguration (1.14 - 1.14) <2412CDE0-C317-31EA-8F53-7A58BBFCC720> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff89950000 -     0x7fff89972ffb  com.apple.framework.Apple80211 (12.0 - 1200.47) <B692048E-1B61-3DAF-9CBA-4D314E7562DC> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff89973000 -     0x7fff89982feb  com.apple.AppleFSCompression (88.50.3 - 1.0) <478E8BFF-8BA2-375E-BE02-BA27F115C15A> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff89a77000 -     0x7fff89b0297f  com.apple.AppleJPEG (1.0 - 1) <B9E9570D-04A4-34E4-B756-D200043B25B8> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff89f35000 -     0x7fff89fb3ff7  com.apple.backup.framework (1.8.5 - 1.8.5) <CC679891-E8F5-3166-8EB6-AEA06954A52D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff8ac3e000 -     0x7fff8ac65ff3  com.apple.ChunkingLibrary (173 - 173) <FC2165F9-FC93-39C0-8323-C2F43A5E00A3> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff8b58a000 -     0x7fff8b593ffb  com.apple.CommonAuth (4.0 - 2.0) <216950CB-269F-3476-BA17-D6363AC49FBC> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8bcdb000 -     0x7fff8bcebfff  com.apple.CoreEmoji (1.0 - 40.3.3) <E9A28301-2D79-3A97-A046-028258A6ABE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff8c2e7000 -     0x7fff8c376ff7  com.apple.CoreSymbolication (62046) <7839CD8E-011D-3567-88DE-3D472C661136> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8c377000 -     0x7fff8c4b6fe7  com.apple.coreui (2.1 - 431.3) <2E8FEC10-FC5B-3782-92DA-A85C24B7BF7C> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8c4b7000 -     0x7fff8c587ff3  com.apple.CoreUtils (5.1 - 510.31) <E68BB8ED-8874-36EC-A7C5-1017C0E727CB> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff8c5d7000 -     0x7fff8c63cff3  com.apple.framework.CoreWiFi (12.0 - 1200.31) <DF0972EF-F817-3FD3-8C00-2D57B8738D8C> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8c63d000 -     0x7fff8c64bff7  com.apple.CrashReporterSupport (10.12 - 827) <14037A71-ECFE-394A-8D6E-2CECE98F02EE> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff8c6bd000 -     0x7fff8c6c7ffb  com.apple.framework.DFRFoundation (1.0 - 104.25) <7CFF896C-EF22-3941-BB3D-F3615CE4C908> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff8c6c8000 -     0x7fff8c6ccff3  com.apple.DSExternalDisplay (3.1 - 380) <A195C0CE-8E4E-384B-9556-8270E306FE1D> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff8c702000 -     0x7fff8c777ffb  com.apple.datadetectorscore (7.0 - 539.1) <9C312AAC-8AEE-3C72-BDE5-7FBF62452525> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff8c7b3000 -     0x7fff8c7f2fff  com.apple.DebugSymbols (137 - 137) <58A70B66-2628-3CFE-B103-2200D95FC5F7> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8c7f3000 -     0x7fff8c904fff  com.apple.desktopservices (1.11.5 - 1.11.5) <46A9D4F3-1EF8-373C-98A4-AD48D285E484> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8cbec000 -     0x7fff8d01dff7  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <9391D5A3-738C-3136-9D07-518CB43DBADA> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8e374000 -     0x7fff8e374fff  libmetal_timestamp.dylib (600.0.49.9) <E5EED927-1671-3390-BCBB-D76201D63C73> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fff8e645000 -     0x7fff8e661fff  com.apple.GenerationalStorage (2.0 - 267.1) <3DE1C580-D089-362D-8582-8DE68A3C5F13> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8ed72000 -     0x7fff8ede8ff3  com.apple.Heimdal (4.0 - 2.0) <8F9C9041-66D5-36C9-8A4C-1658035C311D> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8f403000 -     0x7fff8f40affb  com.apple.IOAccelerator (311.13 - 311.13) <40C04C41-A76A-3687-8D64-F76E8C46AA81> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff8f40c000 -     0x7fff8f420ff7  com.apple.IOPresentment (1.0 - 29.10) <A3F7C1F6-CE50-3804-AAAF-7B75EBC46BE4> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff8f421000 -     0x7fff8f443fff  com.apple.IconServices (74.4 - 74.4) <218DDD05-35F4-3833-B98D-471ED0EBC031> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff8f52a000 -     0x7fff8f6e1fff  com.apple.LanguageModeling (1.0 - 123.2.5) <A8CA965F-0399-310D-91C3-B93DDDE9A442> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff90002000 -     0x7fff9007bff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <C323FC94-FFA5-3EE6-B2AC-7E61EA92F304> /System/Library/PrivateFrameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff901f5000 -     0x7fff9021dff7  com.apple.MultitouchSupport.framework (368.16 - 368.16) <512ADEC6-D694-3D73-A48A-6BE79CD39539> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff902cf000 -     0x7fff902dafff  com.apple.NetAuth (6.2 - 6.2) <97F487D6-8089-31A8-B68C-6C1EAC6ED1B5> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff90bb2000 -     0x7fff90bf3ff3  com.apple.PerformanceAnalysis (1.148.3 - 148.3) <6A21AB41-3AAA-32F3-9D46-2555A143A8B9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff912db000 -     0x7fff912f5fff  com.apple.ProtocolBuffer (1 - 249.1) <A1F1B0F3-078F-378F-A9A9-0DEEA70E816A> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff9130e000 -     0x7fff91331ff3  com.apple.RemoteViewServices (2.0 - 124) <6B967FDA-6591-302C-BA0A-76C4856E584E> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff9208a000 -     0x7fff92117fff  com.apple.Sharing (696.2.67 - 696.2.67) <F681EE28-153F-3216-97A6-6F5E4148AB2E> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff92138000 -     0x7fff9239efef  com.apple.SkyLight (1.600.0 - 170.3) <83AB220F-48C0-3063-8ED3-ACDB69243B4D> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff9257d000 -     0x7fff92589ff7  com.apple.SpeechRecognitionCore (3.3.2 - 3.3.2) <684BD1EA-8268-331C-A5A9-080EB375C658> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff92c75000 -     0x7fff92ce9fdf  com.apple.Symbolication (62048.1) <1A30ED19-7532-3F46-9DD3-9879A973D0CF> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff93128000 -     0x7fff9312eff7  com.apple.TCC (1.0 - 1) <911B534B-4AC7-34E4-935E-E42ECD008CBC> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff931ba000 -     0x7fff93280ff7  com.apple.TextureIO (2.8 - 2.8) <3D61E533-4156-3B21-B7ED-CB823E680DFC> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff932f6000 -     0x7fff93486ff3  com.apple.UIFoundation (1.0 - 490.7) <2A3063FE-1790-3510-8A0E-AEC581D42B7E> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff94537000 -     0x7fff94539ffb  com.apple.loginsupport (1.0 - 1) <F3140B97-12C3-35A7-9D3D-43DA2D13C113> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff9458e000 -     0x7fff945a9ff7  libCRFSuite.dylib (34) <F78B7F5F-0B4F-35C6-AA2F-84EE9CB22137> /usr/lib/libCRFSuite.dylib
    0x7fff945aa000 -     0x7fff945b5fff  libChineseTokenizer.dylib (21) <0886E908-A825-36AF-B94B-2361FD8BC2A1> /usr/lib/libChineseTokenizer.dylib
    0x7fff94647000 -     0x7fff94648ff3  libDiagnosticMessagesClient.dylib (102) <84A04D24-0E60-3810-A8C0-90A65E2DF61A> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff94649000 -     0x7fff9485cfff  libFosl_dynamic.dylib (16.39) <E22A4243-D148-3C74-BA15-2D906A3D1F9E> /usr/lib/libFosl_dynamic.dylib
    0x7fff94880000 -     0x7fff94880fff  libOpenScriptingUtil.dylib (172) <90743888-C1E8-34E3-924E-1A754B2B63B9> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff94881000 -     0x7fff94885ffb  libScreenReader.dylib (477.40.6) <CBE6420C-EF60-3ACD-A0B6-7CBE936BA3B8> /usr/lib/libScreenReader.dylib
    0x7fff948f3000 -     0x7fff9491eff3  libarchive.2.dylib (41.50.2) <B4F507BC-B24E-3BE7-B658-94D798E2CD81> /usr/lib/libarchive.2.dylib
    0x7fff9491f000 -     0x7fff9499bfc7  libate.dylib (1.12.13) <D0767875-D02E-3377-84D8-5F174C27BEA9> /usr/lib/libate.dylib
    0x7fff9499f000 -     0x7fff9499fff3  libauto.dylib (187) <34388D0B-C539-3C1B-9408-2BC152162E43> /usr/lib/libauto.dylib
    0x7fff949a0000 -     0x7fff949b0ff3  libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fff949b1000 -     0x7fff949bfff7  libbz2.1.0.dylib (38) <ADFA329A-DCE7-356D-8F09-A3168DFC6610> /usr/lib/libbz2.1.0.dylib
    0x7fff949c0000 -     0x7fff94a16ff7  libc++.1.dylib (307.5) <0B43BB5D-E6EB-3464-8DE9-B41AC8ED9D1C> /usr/lib/libc++.1.dylib
    0x7fff94a17000 -     0x7fff94a41fff  libc++abi.dylib (307.3) <30199352-88BF-30BD-8CFF-2A4FBE247523> /usr/lib/libc++abi.dylib
    0x7fff94a42000 -     0x7fff94a52ffb  libcmph.dylib (6) <2B5D405E-2D0B-3320-ABD6-622934C86ABE> /usr/lib/libcmph.dylib
    0x7fff94a53000 -     0x7fff94a69fcf  libcompression.dylib (39) <F2726F95-F54E-3B21-BCB5-F7151DEFDC2F> /usr/lib/libcompression.dylib
    0x7fff94a6a000 -     0x7fff94a6aff7  libcoretls.dylib (121.50.4) <64B1001E-10F6-3542-A3B2-C4B49F51817F> /usr/lib/libcoretls.dylib
    0x7fff94a6b000 -     0x7fff94a6cff3  libcoretls_cfhelpers.dylib (121.50.4) <1A10303E-5EB0-3C7C-9165-021FCDFD934D> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff94da9000 -     0x7fff94dfcff7  libcups.2.dylib (450) <9950BFCB-7882-33C9-9ECF-CE66773C5657> /usr/lib/libcups.2.dylib
    0x7fff94e77000 -     0x7fff94e77fff  libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fff94e87000 -     0x7fff94e8cff7  libheimdal-asn1.dylib (498.50.8) <A40E3196-235E-34CE-AD9A-8D1AFC5DE004> /usr/lib/libheimdal-asn1.dylib
    0x7fff94e8d000 -     0x7fff94f7fff7  libiconv.2.dylib (50) <42125B35-81D7-3FC4-9475-A26DBE10884D> /usr/lib/libiconv.2.dylib
    0x7fff94f80000 -     0x7fff951a5ffb  libicucore.A.dylib (57165.0.1) <2931B842-2946-3576-AD1D-1CDA22FA1388> /usr/lib/libicucore.A.dylib
    0x7fff951ab000 -     0x7fff951acfff  liblangid.dylib (126) <2085E7A7-9A34-3735-87F4-F174EF8EABF0> /usr/lib/liblangid.dylib
    0x7fff951ad000 -     0x7fff951c6ffb  liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fff951c7000 -     0x7fff951ddff7  libmarisa.dylib (5) <9030D214-5D0F-30CB-AC03-902C63909362> /usr/lib/libmarisa.dylib
    0x7fff951de000 -     0x7fff95486ff7  libmecabra.dylib (744.8) <D429FCC9-42A4-38B3-8784-44024BC859EF> /usr/lib/libmecabra.dylib
    0x7fff95534000 -     0x7fff95906047  libobjc.A.dylib (709) <DC77AA6E-A4E4-326D-8D7F-82D63AA88F99> /usr/lib/libobjc.A.dylib
    0x7fff95909000 -     0x7fff9590dfff  libpam.2.dylib (21.30.1) <71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
    0x7fff9590e000 -     0x7fff9593ffff  libpcap.A.dylib (67.60.1) <F6BC6ED6-AEE4-3520-B248-0C342636E2B0> /usr/lib/libpcap.A.dylib
    0x7fff9595c000 -     0x7fff95978ffb  libresolv.9.dylib (64) <A244AE4C-00B0-396C-98FF-97FE4DB3DA30> /usr/lib/libresolv.9.dylib
    0x7fff95c0a000 -     0x7fff95c17fff  libxar.1.dylib (357) <69547C64-E811-326F-BBED-490C6361BDCB> /usr/lib/libxar.1.dylib
    0x7fff95c18000 -     0x7fff95d07ffb  libxml2.2.dylib (30.16) <D2A6861B-D9FA-3BFC-B664-830C3FCE6065> /usr/lib/libxml2.2.dylib
    0x7fff95d08000 -     0x7fff95d31fff  libxslt.1.dylib (15.9) <00735AD5-B62D-3E83-86AC-5533E4E2B102> /usr/lib/libxslt.1.dylib
    0x7fff95d32000 -     0x7fff95d43ff3  libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fff95d52000 -     0x7fff95d56ff7  libcache.dylib (79) <093A4DAB-8385-3D47-A350-E20CB7CCF7BF> /usr/lib/system/libcache.dylib
    0x7fff95d57000 -     0x7fff95d61fff  libcommonCrypto.dylib (60092.50.5) <8A64D1B0-C70E-385C-92F0-E669079FDA90> /usr/lib/system/libcommonCrypto.dylib
    0x7fff95d62000 -     0x7fff95d69fff  libcompiler_rt.dylib (62) <55D47421-772A-32AB-B529-1A46C2F43B4D> /usr/lib/system/libcompiler_rt.dylib
    0x7fff95d6a000 -     0x7fff95d72fff  libcopyfile.dylib (138) <819BEA3C-DF11-3E3D-A1A1-5A51C5BF1961> /usr/lib/system/libcopyfile.dylib
    0x7fff95d73000 -     0x7fff95df6fdf  libcorecrypto.dylib (442.50.19) <65D7165E-2E71-335D-A2D6-33F78E2DF0C1> /usr/lib/system/libcorecrypto.dylib
    0x7fff95e2f000 -     0x7fff95e2fffb  libkeymgr.dylib (28) <7AA011A9-DC21-3488-BF73-3B5B14D1FDD6> /usr/lib/system/libkeymgr.dylib
    0x7fff95e47000 -     0x7fff95e48ffb  libremovefile.dylib (45) <38D4CB9C-10CD-30D3-8B7B-A515EC75FE85> /usr/lib/system/libremovefile.dylib
    0x7fff95e49000 -     0x7fff95e61ff7  libsystem_asl.dylib (349.50.5) <096E4228-3B7C-30A6-8B13-EC909A64499A> /usr/lib/system/libsystem_asl.dylib
    0x7fff95e62000 -     0x7fff95e62ff7  libsystem_blocks.dylib (67) <10DC5404-73AB-35B3-A277-A8AFECB476EB> /usr/lib/system/libsystem_blocks.dylib
    0x7fff95ef9000 -     0x7fff95f11fff  libsystem_coretls.dylib (121.50.4) <EC6FCF07-DCFB-3A03-9CC9-6DD3709974C6> /usr/lib/system/libsystem_coretls.dylib
    0x7fff96031000 -     0x7fff9603aff3  libsystem_notify.dylib (165.20.1) <B8160190-A069-3B3A-BDF6-2AA408221FAE> /usr/lib/system/libsystem_notify.dylib
    0x7fff96071000 -     0x7fff96076ffb  libunwind.dylib (35.3) <3D50D8A8-C460-334D-A519-2DA841102C6B> /usr/lib/system/libunwind.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 1
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 29361
    thread_create: 7
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=240.8M resident=0K(0%) swapped_out_or_unallocated=240.8M(100%)
Writable regions: Total=8508K written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=8508K(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
STACK GUARD                       56.0M        2 
Stack                             8192K        2 
VM_ALLOCATE                         40K        4 
__DATA                            19.4M      204 
__IMAGE                            528K        2 
__LINKEDIT                       117.8M       35 
__TEXT                           123.0M      197 
__UNICODE                          556K        2 
shared memory                        8K        3 
===========                     =======  ======= 
TOTAL                            325.3M      442 

Model: MacBookPro11,3, BootROM MBP112.0138.B25, 4 processors, Intel Core i7, 2.6 GHz, 16 GB, SMC 2.19f12
Graphics: Intel Iris Pro, Intel Iris Pro, Built-In
Graphics: NVIDIA GeForce GT 750M, NVIDIA GeForce GT 750M, PCIe, 2048 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x134), Broadcom BCM43xx 1.0 (7.21.171.126.1a2)
Bluetooth: Version 5.0.4f18, 3 services, 18 devices, 1 incoming serial ports
Network Service: Thunderbolt Ethernet, Ethernet, en3
PCI Card: Apple 57762-A0, Ethernet Controller, Thunderbolt@195,0,0
Serial ATA Device: APPLE SSD SM0512F, 500.28 GB
USB Device: USB 3.0 Bus
USB Device: Apple Internal Keyboard / Trackpad
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: iPhone
Thunderbolt Bus: MacBook Pro, Apple Inc., 17.1
Thunderbolt Device: Thunderbolt to Gigabit Ethernet Adapter, Apple Inc., 1, 5.5



Expected results:

Firefox should start

Comment 1

a year ago
Does it crash with a fresh profile?
https://support.mozilla.org/en-US/kb/profile-manager-create-and-remove-firefox-profiles
Severity: normal → critical
Flags: needinfo?(herb.woodruff)
Keywords: crash
OS: Unspecified → Mac OS X
Hardware: Unspecified → x86
Summary: Firefox crashes on launch after update to 10.12.5 → Firefox crashes on launch after update to Mac OS X 10.12.5
(Reporter)

Comment 2

a year ago
Hi,

I launched the Profile manager, renamed by current profile and created a new one and the issue still exists.
Flags: needinfo?(herb.woodruff)
(Reporter)

Comment 3

a year ago
Created attachment 8869533 [details]
firefox1.png

Showing profile manager with old and new profiles
(Reporter)

Comment 4

a year ago
Created attachment 8869535 [details]
osx update.png

OSX update I installed

Updated

a year ago
Component: Untriaged → Widget: Cocoa
Product: Firefox → Core
(Reporter)

Comment 5

a year ago
Not sure if it helps, but I installed 51.0.1 and it still crashes:

Process:               firefox [22316]
Path:                  /Applications/Firefox.app/Contents/MacOS/firefox
Identifier:            org.mozilla.firefox
Version:               ???
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           firefox [22316]
User ID:               110101319

Date/Time:             2017-05-19 12:35:34.837 -0700
OS Version:            Mac OS X 10.12.5 (16F73)
Report Version:        12
Anonymous UUID:        103C8D66-F036-5D15-5A84-F27325F9D6E1

Sleep/Wake UUID:       6CF924A5-DC82-4169-A467-241EB7DC4D55

Time Awake Since Boot: 36000 seconds
Time Since Wake:       24000 seconds

System Integrity Protection: enabled

Crashed Thread:        1

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000104a8d070
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

External Modification Warnings:
Thread creation by external task.

VM Regions Near 0x104a8d070:
--> 
    __TEXT                 000000010835e000-0000000108361000 [   12K] r-x/rwx SM=COW  p3

Thread 0:
0   dl3                           	0x00000001131b30ba _init_cpu_capabilities + 0
1   dl3                           	0x00000001131ccdf3 mach_init + 19
2   dl3                           	0x00000001131a51d9 dyldbootstrap::start(macho_header const*, int, char const**, long, macho_header const*, unsigned long*) + 358
3   dl3                           	0x00000001131a5036 _dyld_start + 54

Thread 1 Crashed:
0   ???                           	0x0000000108365b2e 0 + 4432747310

Thread 1 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000000  rcx: 0x000000010836b000  rdx: 0x0000000000000829
  rdi: 0x0000000000000000  rsi: 0x000000010836a000  rbp: 0x000000010836cff4  rsp: 0x000000010836cf74
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x000000010836a000  r15: 0x0000000104a8d070
  rip: 0x0000000108365b2e  rfl: 0x0000000000010206  cr2: 0x0000000104a8d070
  
Logical CPU:     1
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x10835e000 -        0x108360fff +dl3 (???) <BB27E690-058F-3C9D-92F9-98371444A3B1> dl3
       0x1131a4000 -        0x1131e1dc7 +dl3 (433.5) <322C06B7-8878-311D-888C-C8FD2CA96FF3> dl3

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 1
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 54648
    thread_create: 15
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=360K resident=0K(0%) swapped_out_or_unallocated=360K(100%)
Writable regions: Total=8440K written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=8440K(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
STACK GUARD                       56.0M        2 
Stack                             8192K        2 
VM_ALLOCATE                         40K        3 
__DATA                             224K        4 
__LINKEDIT                         100K        3 
__TEXT                             260K        3 
shared memory                        8K        3 
===========                     =======  ======= 
TOTAL                             64.6M       13 

Model: MacBookPro11,3, BootROM MBP112.0138.B25, 4 processors, Intel Core i7, 2.6 GHz, 16 GB, SMC 2.19f12
Graphics: Intel Iris Pro, Intel Iris Pro, Built-In
Graphics: NVIDIA GeForce GT 750M, NVIDIA GeForce GT 750M, PCIe, 2048 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x134), Broadcom BCM43xx 1.0 (7.21.171.126.1a2)
Bluetooth: Version 5.0.4f18, 3 services, 18 devices, 1 incoming serial ports
Network Service: Thunderbolt Ethernet, Ethernet, en3
PCI Card: Apple 57762-A0, Ethernet Controller, Thunderbolt@195,0,0
Serial ATA Device: APPLE SSD SM0512F, 500.28 GB
USB Device: USB 3.0 Bus
USB Device: Apple Internal Keyboard / Trackpad
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: iPhone
Thunderbolt Bus: MacBook Pro, Apple Inc., 17.1
Thunderbolt Device: Thunderbolt to Gigabit Ethernet Adapter, Apple Inc., 1, 5.5
(Reporter)

Comment 6

a year ago
53.0.3:

Process:               firefox [22371]
Path:                  /Applications/Firefox.app/Contents/MacOS/firefox
Identifier:            org.mozilla.firefox
Version:               ???
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           firefox [22371]
User ID:               110101319

Date/Time:             2017-05-19 12:37:49.756 -0700
OS Version:            Mac OS X 10.12.5 (16F73)
Report Version:        12
Anonymous UUID:        103C8D66-F036-5D15-5A84-F27325F9D6E1

Sleep/Wake UUID:       6CF924A5-DC82-4169-A467-241EB7DC4D55

Time Awake Since Boot: 36000 seconds
Time Since Wake:       25000 seconds

System Integrity Protection: enabled

Crashed Thread:        1

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000104a8d070
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

External Modification Warnings:
Thread creation by external task.

VM Regions Near 0x104a8d070:
    VM_ALLOCATE            0000000103ee2000-0000000103ee7000 [   20K] rw-/rwx SM=PRV  
--> 
    __TEXT                 0000000108285000-00000001082c3000 [  248K] r-x/rwx SM=COW  

Thread 0:
0   ???                           	0x00000001082aa960 strncmp + 0
1   ???                           	0x00000001082861fa dyldbootstrap::start(macho_header const*, int, char const**, long, macho_header const*, unsigned long*) + 391
2   ???                           	0x0000000108286036 _dyld_start + 54

Thread 1 Crashed:
0   ???                           	0x0000000103eddb2e 0 + 4360887086

Thread 1 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000000  rcx: 0x0000000103ee3000  rdx: 0x0000000000000829
  rdi: 0x0000000000000000  rsi: 0x0000000103ee2000  rbp: 0x0000000103ee4ff4  rsp: 0x0000000103ee4f74
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x0000000103ee2000  r15: 0x0000000104a8d070
  rip: 0x0000000103eddb2e  rfl: 0x0000000000010206  cr2: 0x0000000104a8d070
  
Logical CPU:     3
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x103ed6000 -        0x103ed7ff7 +??? (???) <A96FBA4C-C532-3FF4-A817-076072DB1848> (null)
       0x108285000 -        0x1082c2dc7 +??? (433.5) <322C06B7-8878-311D-888C-C8FD2CA96FF3> (null)

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 1
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 54649
    thread_create: 16
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=360K resident=0K(0%) swapped_out_or_unallocated=360K(100%)
Writable regions: Total=8440K written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=8440K(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
STACK GUARD                       56.0M        2 
Stack                             8192K        2 
VM_ALLOCATE                         40K        3 
__DATA                             224K        4 
__LINKEDIT                         104K        3 
__TEXT                             256K        3 
shared memory                        8K        3 
===========                     =======  ======= 
TOTAL                             64.6M       13 

Model: MacBookPro11,3, BootROM MBP112.0138.B25, 4 processors, Intel Core i7, 2.6 GHz, 16 GB, SMC 2.19f12
Graphics: Intel Iris Pro, Intel Iris Pro, Built-In
Graphics: NVIDIA GeForce GT 750M, NVIDIA GeForce GT 750M, PCIe, 2048 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x134), Broadcom BCM43xx 1.0 (7.21.171.126.1a2)
Bluetooth: Version 5.0.4f18, 3 services, 18 devices, 1 incoming serial ports
Network Service: Thunderbolt Ethernet, Ethernet, en3
PCI Card: Apple 57762-A0, Ethernet Controller, Thunderbolt@195,0,0
Serial ATA Device: APPLE SSD SM0512F, 500.28 GB
USB Device: USB 3.0 Bus
USB Device: Apple Internal Keyboard / Trackpad
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: iPhone
Thunderbolt Bus: MacBook Pro, Apple Inc., 17.1
Thunderbolt Device: Thunderbolt to Gigabit Ethernet Adapter, Apple Inc., 1, 5.5
Adding myself to the bug - I will see if I can reproduce this when I can get to my machine that has 10.12.5.
Herb: Are there any crash reports listed in about:crashes?
Flags: needinfo?(herb.woodruff)
(Reporter)

Comment 9

a year ago
Hi,

I am unable to launch Firefox, so I an unable to see any crashes listed.

I have downloaded 53.0.3 and installed it in it's own directory, instead of replace and it still crashes.

I have been running all sorts of other diagnostics to see if my machine is not healthy, but have not turned up anything. I haven't ruled out my MBP.

Thanks,
Herb
Flags: needinfo?(herb.woodruff)
(Reporter)

Comment 10

a year ago
Hi,

Moved ~/Library/Preferences/org.mozilla.*plist files and it didn't resolve the issue.

And I realize I am an outlier case, but I didn't know where else to turn for help.

FF is my browser of choice, and bummed I can't use it.

Thanks

Comment 11

a year ago
I installed the 10.12.5 update on my late 2011 mbp (i7 4 cores), but I can't reproduce this.

Updated

a year ago
Priority: -- → P3
Whiteboard: tpi:+
Duplicate of this bug: 1369112

Comment 13

a year ago
I'm very worried about this bug. It has been reported multiple times independently, and we have no data to tell us how frequently it happens to other people. We could be losing a bunch of users over this without knowing it. Jim I'd encourage you to reprioritize this as a P1.

Since this is a crash, wouldn't a full core give us data for debugging, without having to reproduce directly?
Flags: needinfo?(jmathies)

Comment 14

a year ago
I managed to start FireFox by running 
> /Applications/Firefox.app/Contents/MacOS/firefox-bin

What is the difference between /Applications/Firefox.app/Contents/MacOS/firefox-bin and /Applications/Firefox.app/Contents/MacOS/firefox?
Andrei, can your team try to reproduce the crash? I'm not sure if this is hardware specific. 

I'm about to update to 10.12.5 myself, so I'll see what happens on my 2016 MacBook Pro.
Flags: needinfo?(andrei.vaida)
status-firefox53: --- → wontfix
status-firefox54: --- → affected
status-firefox55: --- → affected
tracking-firefox54: --- → +
tracking-firefox55: --- → +
(In reply to Benjamin Smedberg [:bsmedberg] from comment #13)
> I'm very worried about this bug. It has been reported multiple times
> independently, and we have no data to tell us how frequently it happens to
> other people. We could be losing a bunch of users over this without knowing
> it. Jim I'd encourage you to reprioritize this as a P1.
> 
> Since this is a crash, wouldn't a full core give us data for debugging,
> without having to reproduce directly?

Lets see what softvision comes up with. I've also asked spohl to help debug.
Flags: needinfo?(jmathies)
Does this crash still reproduce when macOS is started in safe mode[1]? Does it reproduce with a new admin user account?

[1] https://support.apple.com/en-us/HT201262
Flags: needinfo?(meisam.fathi)
see comment 17
Flags: needinfo?(herb.woodruff)

Comment 19

a year ago
Created attachment 8873297 [details]
Firefox screenshot in safe mode.png
Flags: needinfo?(meisam.fathi)

Comment 20

a year ago
(In reply to Stephen A Pohl [:spohl] from comment #17)
> Does this crash still reproduce when macOS is started in safe mode[1]? Does
> it reproduce with a new admin user account?
> 
> [1] https://support.apple.com/en-us/HT201262

The  crash does not happen when macOS is started in safe mode, BUT the layout of elements on the Firefox window are completely wrong. There is no title bar, address bar, etc. I'll I see is a crop of the webpage, which for me is Firefox's default home page. Other functions seem to work fine. For example, I can type in the text box, and the search results show up. See the attached image in comment 19.

Comment 21

a year ago
(In reply to Stephen A Pohl [:spohl] from comment #17)
> Does it reproduce with a new admin user account?
> 
I do not have admin privileges to create a new admin user. Sorry!
(In reply to meisam.fathi from comment #21)
> (In reply to Stephen A Pohl [:spohl] from comment #17)
> > Does it reproduce with a new admin user account?
> > 
> I do not have admin privileges to create a new admin user. Sorry!

Interesting, thank you. Could you run the following command in Terminal and attach the resulting permissions.txt file to this bug? This assumes that Firefox is installed at /Applications/Firefox.app:

ls -alR /Applications/Firefox.app/ > permissions.txt

Then, could you launch /Applications/Utilities/Disk\ Utility.app, select your partition that has Firefox installed and run First Aid? Once this completes, are you able to launch Firefox or does it still crash?
Flags: needinfo?(meisam.fathi)

Comment 23

a year ago
Created attachment 8873466 [details]
permissions.txt

Output of 
$ ls -alR /Applications/Firefox.app/
Flags: needinfo?(meisam.fathi)

Comment 24

a year ago
(In reply to Stephen A Pohl [:spohl] from comment #22)
> Interesting, thank you. Could you run the following command in Terminal and
> attach the resulting permissions.txt file to this bug? This assumes that
> Firefox is installed at /Applications/Firefox.app:
> ls -alR /Applications/Firefox.app/ > permissions.txt

Please see comment 23 and the attached file.

> Then, could you launch /Applications/Utilities/Disk\ Utility.app, select
> your partition that has Firefox installed and run First Aid? Once this
> completes, are you able to launch Firefox or does it still crash?

Firefox still crashes after running First Aid.
(In reply to meisam.fathi from comment #24)
> Firefox still crashes after running First Aid.

Thank you for the fast response! Could you confirm that you're user user1100222 on this system? And is there any kind of antivirus, anti-spyware or similar software installed on this system? If yes, does turning it off make any difference?
Flags: needinfo?(meisam.fathi)

Comment 26

a year ago
(In reply to Stephen A Pohl [:spohl] from comment #25)
> (In reply to meisam.fathi from comment #24)
> > Firefox still crashes after running First Aid.
> 
> Thank you for the fast response! Could you confirm that you're user
> user1100222 on this system?
Yes. I am user1100222.

> And is there any kind of antivirus, anti-spyware
> or similar software installed on this system? If yes, does turning it off
> make any difference?

Yes, there is antivirus/anti-spyware software installed. This is a work machine and I am not allowed to turn it off.
I'll work with my Help Desk at work to see if they can test it. I'll also ask them to test it on a new admin user (see comment 20 and comment 21)
Flags: needinfo?(meisam.fathi)
Could you provide the name of your antivirus/anti-spyware software? This may allow us to reproduce the issue.
Flags: needinfo?(meisam.fathi)
(Reporter)

Comment 28

a year ago
Hi,

I was thinking it was my anti-virus application too.  Same here, work laptop, and I'm unable to permanently disable it.

It's Symantec.
Flags: needinfo?(herb.woodruff)

Comment 29

a year ago
(In reply to Stephen A Pohl [:spohl] from comment #27)
> Could you provide the name of your antivirus/anti-spyware software? This may
> allow us to reproduce the issue.

It is Symantec Endpoint Protection for Mac version 14.0.0 (14.0 RU0 MP1) build 2349 (14.0.2349.0100)
Flags: needinfo?(meisam.fathi)
Desigan, do we have contacts at Symantec?

Andrei, are you able to test and possibly reproduce this with Symantec Endpoint Protection installed (see comment 29)?
Flags: needinfo?(andrei.vaida) → needinfo?(dchinniah)
Flags: needinfo?(andrei.vaida)
(Reporter)

Comment 31

a year ago
I am running the same version of SEP as Meisam.  SEP for Mac Version 14.0 build 2349 (14.0.2349.0100)
(In reply to Stephen A Pohl [:spohl] from comment #30)
> Desigan, do we have contacts at Symantec?
> 
> Andrei, are you able to test and possibly reproduce this with Symantec
> Endpoint Protection installed (see comment 29)?

Hi Stephen, we should be able to look into this next week, as we currently don't have the bandwidth to pick up extra work -- I hope that's reasonable.

I would also really appreciate if you could file a request with the Product Integrity Channel (pi-request@mozilla.com) so that we can properly track and plan for this request.
Flags: needinfo?(spohl.mozilla.bugs)
I filed the PI request so that we are covered there.
Flags: needinfo?(spohl.mozilla.bugs)
(In reply to Stephen A Pohl [:spohl] from comment #30)
> Desigan, do we have contacts at Symantec?
> 

We do indeed have a mailing list with them. :spohl — do you have access to the list? If not — reach out via IRC or email and I'll get you access.
Flags: needinfo?(dchinniah) → needinfo?(spohl.mozilla.bugs)
(In reply to Desigan Chinniah [:cyberdees] [:dees] [London - GMT] from comment #34)
> (In reply to Stephen A Pohl [:spohl] from comment #30)
> > Desigan, do we have contacts at Symantec?
> > 
> 
> We do indeed have a mailing list with them. :spohl — do you have access to
> the list? If not — reach out via IRC or email and I'll get you access.

I don't have access at the moment, but let's have QA confirm the issue first. Will be sure to reach out as soon as we have confirmation. Thanks!
Flags: needinfo?(spohl.mozilla.bugs)
I'll get the free version of the Symantec Endpoint Protection and see if I can reproduce.
Flags: needinfo?(twalker)
Herb,  What version of Mac OS did you upgrade from?  If it was a more modern version than ones listed below, how did you get SEP installed on your Mac?

As best I can tell, there is no version of this anti-virus software that is compatible with Mac OSX 10.12.5.  From the Symantec website under System Reqirements for this software is notes:

Mac
Mac OS X 10.6.8, 10.7, 10.8
Mac OS X Server 10.6.8, 10.7, 10.8

I tried to get the free trial version, but those downloads are .exe (Windows) files only.
Flags: needinfo?(twalker)
Flags: needinfo?(herb.woodruff)
Flags: needinfo?(andrei.vaida)
(Reporter)

Comment 38

a year ago
Hi,

I was running OSX 10.12.4 and was updated to 10.12.5.  And Symantec SEP is installed by my company.

And some good news, SEP's most recent update seems to have fixed the crash, since I am using Firefox right now.
Flags: needinfo?(herb.woodruff)
(In reply to Herb from comment #38)
> Hi,

> And some good news, SEP's most recent update seems to have fixed the crash,
> since I am using Firefox right now.

Excellent!  I am going to mark this WFM per your current status.  If the same sort of startup crashing returns, please re-open this bug. Thank you Herb.
Status: UNCONFIRMED → RESOLVED
Last Resolved: a year ago
Resolution: --- → WORKSFORME
Per comment #39, track 54- and mark 54 won't fix.
status-firefox54: affected → wontfix
tracking-firefox54: + → -
status-firefox55: affected → wontfix

Comment 41

a year ago
This issue is not happening anymore for me (on FireFox 53.0.3)

Comment 42

a year ago
I just updated to FireFox 54.0 (64-bit), and the issue does not happen on FF 54.0 either.
See Also: → bug 1414543
Whiteboard: tpi:+ → [tpi:+][AV:Symantec]
You need to log in before you can comment on or make changes to this bug.